Bug 1674954 - generatorrunner: FTBFS in Fedora rawhide/f30
Summary: generatorrunner: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: generatorrunner
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:24 UTC by Fedora Release Engineering
Modified: 2019-03-29 19:19 UTC (History)
5 users (show)

Fixed In Version: generatorrunner-0.6.16-17.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:19:15 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:24 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:24 UTC, Fedora Release Engineering
no flags Details
state.log (661 bytes, text/plain)
2019-02-11 18:24 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:24:48 UTC
generatorrunner failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32386512


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix generatorrunner at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
generatorrunner will be orphaned. Before branching of Fedora 31,
generatorrunner will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:24:50 UTC
Created attachment 1530089 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:24:52 UTC
Created attachment 1530090 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:24:53 UTC
Created attachment 1530091 [details]
state.log

Comment 4 Richard Shaw 2019-02-14 15:23:36 UTC
Here's the test output:

2/2 Testing: dummygentest
2/2 Test: dummygentest
Command: "/builddir/build/BUILD/generatorrunner-0.6.16/x86_64-redhat-linux-gnu/tests/test_generator/dummygentest"
Directory: /builddir/build/BUILD/generatorrunner-0.6.16/x86_64-redhat-linux-gnu/tests/test_generator
"dummygentest" start time: Feb 14 08:43 CST
Output:
----------------------------------------------------------
********* Start testing of DummyGenTest *********
Config: Using QTest library 4.8.7, Qt 4.8.7
PASS   : DummyGenTest::initTestCase()
You must specify a Type System file.
FAIL!  : DummyGenTest::testCallGenRunnerWithFullPathToDummyGenModule() Compared values are not the same
   Actual (result): 1
   Expected (0): 0
   Loc: [/builddir/build/BUILD/generatorrunner-0.6.16/tests/test_generator/dummygentest.cpp(54)]
generatorrunner: Error loading generator-set plugin: dummy_generator module not found.
FAIL!  : DummyGenTest::testCallGenRunnerWithNameOfDummyGenModule() Compared values are not the same
   Actual (result): 1
   Expected (0): 0
   Loc: [/builddir/build/BUILD/generatorrunner-0.6.16/tests/test_generator/dummygentest.cpp(72)]
generatorrunner: Error loading generator-set plugin: dummy_generator module not found.
FAIL!  : DummyGenTest::testCallDummyGeneratorExecutable() Compared values are not the same
   Actual (result): 1
   Expected (0): 0
   Loc: [/builddir/build/BUILD/generatorrunner-0.6.16/tests/test_generator/dummygentest.cpp(89)]
generatorrunner: Error loading generator-set plugin: dummy_generator module not found.
FAIL!  : DummyGenTest::testProjectFileArgumentsReading() Compared values are not the same
   Actual (result): 1
   Expected (0): 0

Comment 5 Richard Shaw 2019-02-14 15:33:53 UTC
I suspect this is more of a change in CMake and not related to GCC 9.0.X. The error suggests that it can't find the "module" dummy_generator.so

My guess the fix needs to be implemented in the file "tests/test_generator/CMakeLists.txt" somewhere in the following section:

set(ENV_PATH "${generatorrunner_BINARY_DIR}${PATH_SEP}${CMAKE_CURRENT_BINARY_DIR}${PATH_SEP}$ENV{PATH}${PATH_SEP}${APIEXTRACTOR_LIBRARY_DIRS}")
set(ENV_QT_PLUGIN_PATH "${CMAKE_CURRENT_BINARY_DIR}${PATH_SEP}$ENV{QT_PLUGIN_PATH}")
if(WIN32)
    string(REPLACE "\\;" ";" ENV_PATH "${ENV_PATH}")
    string(REPLACE ";" "\\;" ENV_PATH "${ENV_PATH}")
    string(REPLACE "\\;" ";" ENV_QT_PLUGIN_PATH "${ENV_QT_PLUGIN_PATH}")
    string(REPLACE ";" "\\;" ENV_QT_PLUGIN_PATH "${ENV_QT_PLUGIN_PATH}")
endif()

macro(m_add_test testname)
    if(CMAKE_VERSION VERSION_LESS 2.8)
        add_test(${testname} ${CMAKE_COMMAND} -DTEST=${testname}
                 -DWORKDIR=${CMAKE_CURRENT_BINARY_DIR}
                 -DENV_PATH=${ENV_PATH} -DENV_QT_PLUGIN_PATH=${ENV_QT_PLUGIN_PATH}
                 -P ${CMAKE_CURRENT_SOURCE_DIR}/run_test.cmake)
    else()
        add_test(${testname} ${testname})
        set_property(TEST ${testname} PROPERTY ENVIRONMENT "PATH=${ENV_PATH}" "QT_PLUGIN_PATH=${ENV_QT_PLUGIN_PATH}")
    endif()
endmacro()

Comment 6 Fedora Update System 2019-03-21 13:30:33 UTC
generatorrunner-0.6.16-17.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-864ab7449e

Comment 7 Fedora Update System 2019-03-21 19:12:52 UTC
generatorrunner-0.6.16-17.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-864ab7449e

Comment 8 Fedora Update System 2019-03-29 19:19:15 UTC
generatorrunner-0.6.16-17.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.